#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

const float intensity_offset = 1.0;
const float intensity_scale = 2.0;
uniform vec3 glowcolor;			//辉光色

void main(void)  
{   
	vec2 p = vec2(v_texCoord.x,1.0f - v_texCoord.y);
    vec4 texColor = texture2D(CC_Texture0, p);
	// gray value
	float gray = dot(texColor.rgb, vec3(0.3, 0.59, 0.11));
	// new gray
	float new_intensity = (gray + intensity_offset) * intensity_scale;
	
	// fixed color
	//texColor *= new_intensity;
	//texColor.r = 0.2 * texColor.a;
	//texColor.g = 0.5 * texColor.a;
	//texColor.b = 0.2 * texColor.a;
	texColor.rgb = glowcolor.rgb;
	
	//texColor.rgb = glowcolor * texColor.a; 
	gl_FragColor = texColor;
	
}   