#ifdef GL_ES
precision mediump float;
#endif

 varying vec4 v_fragmentColor;
 varying vec2 v_texCoord;
 varying  vec2 centerTextureCoordinate;
 varying  vec2 oneStepLeftTextureCoordinate;
 varying  vec2 twoStepsLeftTextureCoordinate;
 varying  vec2 oneStepRightTextureCoordinate;
 varying  vec2 twoStepsRightTextureCoordinate;


 
// const float weight[3] = float[]( 0.2270270270, 0.3162162162, 0.0702702703 );

 void main()
 {
     vec4 fragmentColor = texture2D(CC_Texture0, centerTextureCoordinate).rgba * 0.2270270270;
     fragmentColor += texture2D(CC_Texture0, oneStepLeftTextureCoordinate).rgba * 0.3162162162;
     fragmentColor += texture2D(CC_Texture0, oneStepRightTextureCoordinate).rgba * 0.3162162162;
     fragmentColor += texture2D(CC_Texture0, twoStepsLeftTextureCoordinate).rgba * 0.0702702703;
     fragmentColor += texture2D(CC_Texture0, twoStepsRightTextureCoordinate).rgba * 0.0702702703;

     gl_FragColor = fragmentColor;
 }